Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.spi
Interface BeanInfo

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface

All Known Implementing Classes:
  AbstractBeanInfo

public interface BeanInfo
extends org.jboss.util.JBossInterface

Description of a bean.

Version:
  $Revision: 1.11 $
Author:
  Adrian Brock

Method Summary
`BeanInfoFactory` | `getBeanInfoFactory()` Get the bean info factory
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo()` Get the class information
`Set` | `getConstructors()` Get the constructor info.
`List` | `getDependencies()` Bean may have additional dependencies that the kernel cannot initially resolve.
`Set` | `getEvents()` Get the event information.
`org.jboss.joinpoint.spi.JoinpointFactory` | `getJoinpointFactory()` Get the joinpoint factory
`Set` | `getMethods()` Get the method information.
`String` | `getName()` Get the bean name
`Set` | `getProperties()` Get the property information.
`void` | `setConstructors(Set constructors)` Set the constructor info.
`void` | `setEvents(Set events)` set the event information.
`void` | `setMethods(Set methods)` Set the method information.
`void` | `setProperties(Set properties)` Set the property information.

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getName

    public String getName()

  Get the bean name

  Returns:
    the name

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo()

  Get the class information

  Returns:
    the class information

### getDependencies

    public List getDependencies()

  Bean may have additional dependencies that the kernel cannot initially resolve. (currently defined by ClassAdapter)

  Returns:
    the list of dependencies

### getJoinpointFactory

    public org.jboss.joinpoint.spi.JoinpointFactory getJoinpointFactory()

  Get the joinpoint factory

  Returns:
    the joinpoint factory

### getProperties

    public Set getProperties()

  Get the property information.

  Returns:
    a Set

### setProperties

    public void setProperties(Set properties)

  Set the property information.

  Parameters:
    `properties` - a Set

### getConstructors

    public Set getConstructors()

  Get the constructor info.

  Returns:
    a Set

### setConstructors

    public void setConstructors(Set constructors)

  Set the constructor info.

  Parameters:
    `constructors` - a Set

### getMethods

    public Set getMethods()

  Get the method information.

  Returns:
    a Set

### setMethods

    public void setMethods(Set methods)

  Set the method information.

  Parameters:
    `methods` - a Set

### getEvents

    public Set getEvents()

  Get the event information.

  Returns:
    a Set

### setEvents

    public void setEvents(Set events)

  set the event information.

  Parameters:
    `events` - a Set

### getBeanInfoFactory

    public BeanInfoFactory getBeanInfoFactory()

  Get the bean info factory

  Returns:
    the factory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.